[arch-commits] Commit in icewm/repos (3 files)

Eric Belanger eric at archlinux.org
Sat Oct 18 22:31:44 EDT 2008


    Date: Saturday, October 18, 2008 @ 22:31:44
  Author: eric
Revision: 15784

Merged revisions 356,15783 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/icewm/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r15783 | eric | 2008-10-18 22:30:51 -0400 (Sat, 18 Oct 2008) | 2 lines
  
  upgpkg: icewm 1.2.36-1
      upstream update, added ChangeLog
........

Added:
  icewm/repos/extra-x86_64/ChangeLog
    (from rev 15783, icewm/trunk/ChangeLog)
Modified:
  icewm/repos/extra-x86_64/	(properties)
  icewm/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   17 ++++++++---------
 2 files changed, 13 insertions(+), 9 deletions(-)


Property changes on: icewm/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /icewm/trunk:1
   + /icewm/trunk:1-15783

Copied: icewm/repos/extra-x86_64/ChangeLog (from rev 15783, icewm/trunk/ChangeLog)
===================================================================
--- extra-x86_64/ChangeLog	                        (rev 0)
+++ extra-x86_64/ChangeLog	2008-10-19 02:31:44 UTC (rev 15784)
@@ -0,0 +1,5 @@
+2008-10-18  Eric Belanger  <eric at archlinux.org>
+
+	* icewm 1.2.36-1
+	* Upstream update
+	* Added ChangeLog

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-19 02:30:51 UTC (rev 15783)
+++ extra-x86_64/PKGBUILD	2008-10-19 02:31:44 UTC (rev 15784)
@@ -3,23 +3,22 @@
 # Contributor: dorphell <dorphell at gmx.net>
 
 pkgname=icewm
-pkgver=1.2.35
+pkgver=1.2.36
 pkgrel=1
 pkgdesc="A Window Manager designed for speed, usability, and consistency"
 arch=('i686' 'x86_64')
 url="http://www.icewm.org/"
 license=('LGPL')
-depends=('gcc-libs' 'imlib' 'libxrandr' 'libxft' 'libsm' 'libxinerama')
-options=('docs')
-source=(http://downloads.sourceforge.net/sourceforge/icewm/$pkgname-$pkgver.tar.gz icewm.desktop)
-md5sums=('a2adc53ab4c0c7ca6daa1ca4c697ffe9' 'a3ed467f0199792205b04272402a9945')
-sha1sums=('a0174901ca89aa091a58efedfec1536c5e477210' '7dcb1f2c89792a35b687182584ed9baa0d34cc80')
+depends=('gcc-libs' 'imlib' 'libxrandr' 'libxft' 'libsm' 'libxinerama' 'giflib')
+source=(http://downloads.sourceforge.net/sourceforge/icewm/${pkgname}-${pkgver}.tar.gz icewm.desktop)
+md5sums=('a9761dcde3633ca677b62e1f1abada3d' 'a3ed467f0199792205b04272402a9945')
+sha1sums=('fb6f90804655b8186605ac340417d7b43277f55a' '7dcb1f2c89792a35b687182584ed9baa0d34cc80')
 
 build() {
-   cd $startdir/src/$pkgname-$pkgver || return 1
+   cd ${srcdir}/${pkgname}-${pkgver} || return 1
    ./configure --prefix=/usr --sysconfdir=/etc --with-imlib \
      --enable-shaped-decorations --enable-gradients || return 1
    make || return 1
-   make DESTDIR=$startdir/pkg install install-man install-docs || return 1
-   install -D -m644 ../$pkgname.desktop $startdir/pkg/etc/X11/sessions/$pkgname.desktop
+   make DESTDIR=${pkgdir} install install-man install-docs || return 1
+   install -D -m644 ${srcdir}/icewm.desktop ${pkgdir}/etc/X11/sessions/icewm.desktop
 }




More information about the arch-commits mailing list